Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/Activator.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/Activator.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/Activator.java	(revision 351)
@@ -0,0 +1,50 @@
+package org.txm.referencer.rcp;
+
+import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.osgi.framework.BundleContext;
+
+/**
+ * The activator class controls the plug-in life cycle
+ */
+public class Activator extends AbstractUIPlugin {
+
+	// The plug-in ID
+	public static final String PLUGIN_ID = "org.txm.referencer.rcp"; //$NON-NLS-1$
+
+	// The shared instance
+	private static Activator plugin;
+	
+	/**
+	 * The constructor
+	 */
+	public Activator() {
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
+	 */
+	public void start(BundleContext context) throws Exception {
+		super.start(context);
+		plugin = this;
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
+	 */
+	public void stop(BundleContext context) throws Exception {
+		plugin = null;
+		super.stop(context);
+	}
+
+	/**
+	 * Returns the shared instance
+	 *
+	 * @return the shared instance
+	 */
+	public static Activator getDefault() {
+		return plugin;
+	}
+
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/Activator.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/rcp/commands/link/ReferencerToConc.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/rcp/commands/link/ReferencerToConc.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/rcp/commands/link/ReferencerToConc.java	(revision 351)
@@ -0,0 +1,140 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.commands.link;
+
+import java.util.List;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.ISelection;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.ui.IWorkbenchPage;
+import org.eclipse.ui.PartInitException;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.functions.ReferencePattern;
+import org.txm.functions.referencer.Referencer;
+import org.txm.functions.referencer.Referencer.Line;
+import org.txm.rcp.Messages;
+import org.txm.rcp.editors.concordances.ConcordancesEditor;
+import org.txm.rcp.editors.input.ConcordancesEditorInput;
+import org.txm.rcp.editors.referencer.ReferencerEditor;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.query.Query;
+
+// TODO: Auto-generated Javadoc
+/**
+ * The Class ReferencerToConc.
+ */
+public class ReferencerToConc extends AbstractHandler {
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		IStructuredSelection selection = (IStructuredSelection) HandlerUtil
+		.getActiveWorkbenchWindow(event).getActivePage().getSelection();
+
+		ReferencerEditor refeditor = (ReferencerEditor) HandlerUtil
+		.getActiveWorkbenchWindow(event).getActivePage()
+		.getActivePart();
+
+		return link(refeditor, selection);
+	}
+
+	/**
+	 * Link.
+	 *
+	 * @param refeditor the refeditor
+	 * @param iSelection the selection
+	 * @return the object
+	 */
+	public static Object link(ReferencerEditor refeditor, ISelection iSelection)
+	{
+		IStructuredSelection selection = (IStructuredSelection) iSelection;
+		String query = getQuery(selection);
+		if (query.length() == 0)
+			return null;
+		Corpus corpus = refeditor.getCorpus();
+		ConcordancesEditorInput editorInput = new ConcordancesEditorInput(
+				corpus, null);
+
+		IWorkbenchPage page = refeditor.getEditorSite().getWorkbenchWindow()
+		.getActivePage();
+		try {
+			ConcordancesEditor conceditor = (ConcordancesEditor) page
+			.openEditor(editorInput,
+					"org.txm.rcp.editors.ConcordancesEditor"); //$NON-NLS-1$
+			conceditor.setQuery(query);
+			ReferencePattern rp = new ReferencePattern();
+			for(Property p : refeditor.getReferencer().getPattern())
+				rp.addProperty(p);
+			conceditor.setRefViewPattern(rp);
+			conceditor.compute();
+		} catch (PartInitException e) {
+			System.err.println(NLS.bind(Messages.GetConcordances_4, e));
+		}
+
+		return null;
+	}
+
+	/**
+	 * Gets the query.
+	 *
+	 * @param selection the selection
+	 * @return the query
+	 */
+	private static String getQuery(IStructuredSelection selection) {
+		String query = ""; //$NON-NLS-1$
+
+		Line fline = (Line) selection.getFirstElement();
+		Referencer ref = fline.getReferencer();
+		int nbToken = 1;
+
+		List<Line> lines = selection.toList();
+
+		Property prop = ref.getProperty();
+		for (int t = 0; t < nbToken; t++) 
+		{
+			query += "["+prop + "=\""; //$NON-NLS-1$ //$NON-NLS-2$
+
+			for (Line line : lines) {
+				String s = line.getPropValue();
+				s = Query.addBackSlash(s);
+				query += s + "|"; //$NON-NLS-1$
+			}
+			query = query.substring(0, query.length() - 1);
+			query += "\"] "; //$NON-NLS-1$
+		}
+		query = query.substring(0, query.length() - 1);
+		return query;
+	}
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/rcp/commands/link/ReferencerToConc.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/ReferencerEditor.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/ReferencerEditor.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/ReferencerEditor.java	(revision 351)
@@ -0,0 +1,756 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.editors.referencer;
+
+import java.util.ArrayList;
+import java.util.Collections;
+import java.util.List;
+
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.action.MenuManager;
+import org.eclipse.jface.viewers.TableViewer;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.events.KeyEvent;
+import org.eclipse.swt.events.KeyListener;
+import org.eclipse.swt.events.MouseAdapter;
+import org.eclipse.swt.events.MouseEvent;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.graphics.Font;
+import org.eclipse.swt.graphics.FontData;
+import org.eclipse.swt.graphics.Image;
+import org.eclipse.swt.graphics.Point;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Display;
+import org.eclipse.swt.widgets.Menu;
+import org.eclipse.swt.widgets.TableColumn;
+import org.eclipse.ui.IEditorInput;
+import org.eclipse.ui.IEditorSite;
+import org.eclipse.ui.PartInitException;
+import org.eclipse.ui.part.EditorPart;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.functions.referencer.Referencer;
+import org.txm.functions.referencer.Referencer.Line;
+import org.txm.rcp.JobsTimer;
+import org.txm.rcp.Messages;
+import org.txm.rcp.StatusLine;
+import org.txm.rcp.commands.editor.CustomizableEditor;
+import org.txm.rcp.commands.link.ReferencerToConc;
+import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.editors.input.ReferencerEditorInput;
+import org.txm.rcp.preferences.RCPPreferences;
+import org.txm.rcp.swt.widget.NavigationWidget;
+import org.txm.rcp.swt.widget.PropertiesSelector;
+import org.txm.rcp.swt.widget.QueryWidget;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.rcp.views.QueriesView;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.statsengine.r.rcp.views.RVariablesView;
+
+// TODO: Auto-generated Javadoc
+/**
+ * The Class ReferencerEditor.
+ */
+public class ReferencerEditor extends EditorPart implements CustomizableEditor{
+
+	/** The Constant ID. */
+	public static final String ID = "org.txm.rcp.editors.referencer.ReferencerEditor"; //$NON-NLS-1$
+	
+	/** The corpus. */
+	Corpus corpus;
+	
+	/** The referencer. */
+	Referencer referencer;
+
+	/** The querywidget. */
+	QueryWidget querywidget;
+	
+	/** The props area. */
+	protected PropertiesSelector propsArea;
+	
+	/** The pattern area. */
+	protected PropertiesSelector patternArea;
+	
+	/** The navigation area. */
+	NavigationWidget navigationArea;
+
+	/** The line table viewer. */
+	protected TableViewer viewer;
+	
+	/** The n column. */
+	protected TableColumn nColumn;
+	
+	/** The unit column. */
+	protected TableColumn unitColumn;
+	
+	/** The freq column. */
+	protected TableColumn freqColumn;
+	
+	/** The separator column. */
+	protected TableColumn separatorColumn;
+
+	/** The lineperpage. */
+	int lineperpage = 100;
+	
+	/** The top line. */
+	int topLine=0;
+	
+	/** The bottom line. */
+	int bottomLine;
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.EditorPart#doSave(org.eclipse.core.runtime.IProgressMonitor)
+	 */
+	@Override
+	public void doSave(IProgressMonitor arg0) {
+		// TODO Auto-generated method stub
+
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.EditorPart#doSaveAs()
+	 */
+	@Override
+	public void doSaveAs() {
+		// TODO Auto-generated method stub
+
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.EditorPart#init(org.eclipse.ui.IEditorSite, org.eclipse.ui.IEditorInput)
+	 */
+	@Override
+	public void init(IEditorSite site, IEditorInput input)
+	throws PartInitException {
+		setSite(site);
+		setInput(input);
+
+		this.corpus = ((ReferencerEditorInput) input).getCorpus();
+		this.referencer = ((ReferencerEditorInput) input).getReferencer();
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.EditorPart#isDirty()
+	 */
+	@Override
+	public boolean isDirty() {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.EditorPart#isSaveAsAllowed()
+	 */
+	@Override
+	public boolean isSaveAsAllowed() {
+		// TODO Auto-generated method stub
+		return false;
+	}
+	
+	/** The mess. */
+	String mess;
+	
+	/** The source. */
+	private Object source;
+	
+	/**
+	 * Compute.
+	 *
+	 * @return true, if successful
+	 */
+	public boolean compute()
+	{
+		mess = NLS.bind(Messages.ReferencerEditor_0, 
+			new Object[]{querywidget.getQuery(), corpus, propsArea.getProperties().get(0), 
+				patternArea.getProperties()})+ "\n"; //$NON-NLS-1$
+		
+		final Query query = querywidget.getQuery();
+		final List<Property> queryprops = propsArea.getProperties();
+		final List<Property> refs = patternArea.getProperties();
+		
+		System.out.println(NLS.bind(Messages.ReferencerEditor_5, query));
+		JobHandler jobhandler = new JobHandler(mess) {
+			@Override
+			protected IStatus run(IProgressMonitor monitor) {
+				this.runInit(monitor);
+				try {
+					JobsTimer.start();
+					monitor.beginTask(mess, 100);
+					boolean docompute = false;
+					if (referencer != null) {
+						if (referencer.getQuery().equals(query)) 
+						{	
+							boolean clean = false;
+							if (!referencer.getProperty().toString().equals(queryprops.get(0).toString()))
+							{
+								referencer.setProperty(propsArea.getProperties().get(0));
+								clean = true;
+							}
+
+							if (!referencer.getPattern().toString().equals(refs.toString()))
+							{
+								ArrayList<Property> pattern = new ArrayList<Property>(refs);
+								referencer.setPattern(pattern);
+								clean = true;
+							}
+
+							if (clean)
+							{
+								referencer.clearAllLines();
+								docompute = true;
+							}
+							
+						}
+						else
+							docompute = true;
+					}
+					else
+						docompute = true;
+
+					if (docompute) {
+						Property p = queryprops.get(0);
+						ArrayList<Property> pattern = new ArrayList<Property>(refs);
+						boolean hierarchicSort = TXMPreferences.getBoolean(RCPPreferences.PREFERENCES_NODE, RCPPreferences.SORTBYFREQ);
+						referencer = new Referencer(corpus, query, p, pattern, hierarchicSort);
+						this.acquireSemaphore();
+						corpus.addResult(referencer);
+						this.releaseSemaphore();
+					}
+
+					try  {
+						if (query.getQueryString().equals("")) //$NON-NLS-1$
+							return Status.CANCEL_STATUS;
+
+						monitor.subTask(Messages.ReferencerEditor_8);
+						if (!referencer.getQueryMatches())
+						{
+							System.out.println(Messages.ReferencerEditor_7);
+							return Status.CANCEL_STATUS;
+						}
+						
+						if (monitor.isCanceled())
+							return Status.CANCEL_STATUS;
+						
+						monitor.subTask(Messages.ReferencerEditor_10);
+						if (!referencer.getQueryindexes())
+							return Status.CANCEL_STATUS;
+						
+						if (monitor.isCanceled())
+							return Status.CANCEL_STATUS;
+						
+						monitor.subTask(Messages.ReferencerEditor_12);
+						if (!referencer.groupPositionsbyId())
+							return Status.CANCEL_STATUS;
+						
+						if (monitor.isCanceled())
+							return Status.CANCEL_STATUS;
+						
+					} catch (Exception e) {
+						// TODO Auto-generated catch block
+						org.txm.rcp.utils.Logger.printStackTrace(e);
+					}
+					
+					if (monitor.isCanceled())
+						return Status.CANCEL_STATUS;
+					
+					monitor.worked(50);
+
+					monitor.subTask(Messages.ReferencerEditor_13);
+					syncExec(new Runnable() {
+						@Override
+						public void run() {
+							fillDisplayArea(0, lineperpage);
+							CorporaView.refresh();
+							CorporaView.expand(corpus);
+							QueriesView.refresh();
+							RVariablesView.refresh();
+							setPartName(corpus.getName()+":"+referencer.getName()); //$NON-NLS-1$
+							
+							viewer.getTable().setFocus();
+							System.out.println(NLS.bind(Messages.CreatePartition_5, referencer.getNLines(), referencer.getV()));
+						}
+					});
+
+					monitor.worked(100);
+				} catch (ThreadDeath td) {
+					return Status.CANCEL_STATUS;
+				} catch (Exception e) {
+					org.txm.rcp.utils.Logger.printStackTrace(e);
+				} finally {
+					monitor.done();
+					JobsTimer.stopAndPrint();
+				}
+				return Status.OK_STATUS;
+			}
+		};
+		jobhandler.startJob();
+
+		return true;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
+	 */
+	@Override
+	public void createPartControl(Composite arg0) {
+		arg0.setLayout(new GridLayout(1,true));
+		Composite paramArea = new Composite(arg0, SWT.NONE);
+		paramArea.setLayout(new GridLayout(3, false));
+		paramArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
+				true, false));
+
+		Composite resultArea = new Composite(arg0, SWT.NONE);
+		resultArea.setLayout(new GridLayout(1, false));
+		resultArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
+				true, true));
+		// [Query
+		querywidget = new QueryWidget(paramArea, SWT.None);
+		querywidget.setLayoutData(new GridData(GridData.FILL, GridData.CENTER,
+				true, false));
+		querywidget.addKeyListener(new KeyListener() {
+			@Override
+			public void keyReleased(KeyEvent e) {}
+
+			@Override
+			public void keyPressed(KeyEvent e) {
+				if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR)
+				{
+					compute();
+				}
+			}
+		});
+
+		// [Edit]
+		propsArea = new PropertiesSelector(paramArea, SWT.NONE);
+		propsArea.setMaxPropertyNumber(1);
+		propsArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
+				false, false));
+		propsArea.setLayout(new GridLayout(3, false));
+		ArrayList<Property> availables = new ArrayList<Property>();
+		try {
+			availables = new ArrayList<Property>(corpus.getOrderedProperties());
+		} catch (CqiClientException e1) {
+			// TODO Auto-generated catch block
+			org.txm.rcp.utils.Logger.printStackTrace(e1);
+		}
+
+		ArrayList<Property> selectedProps = new ArrayList<Property>();
+		if (referencer != null) {
+			selectedProps.add(referencer.getProperty());
+			availables.remove(referencer.getProperty());
+			this.propsArea.setProperties(availables, selectedProps);
+		} else {
+			this.propsArea.setCorpus(corpus);
+		}
+
+		// [Search]
+		Button go = new Button(paramArea, SWT.PUSH);
+		go.setText(Messages.SEARCH);
+		go.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
+				false, false));
+		Font f = go.getFont();
+		FontData defaultFont = f.getFontData()[0];
+		defaultFont.setStyle(SWT.BOLD);
+		Font newf = new Font(go.getDisplay(), defaultFont);
+		go.setFont(newf);
+
+		go.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		go.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				compute();
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+		});
+
+		// [pattern : ... ]
+		patternArea = new PropertiesSelector(paramArea, SWT.NONE);
+		patternArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,3,1));
+		patternArea.setLayout(new GridLayout(3, false));
+		patternArea.setText(Messages.ReferencerEditor_6);
+		availables = new ArrayList<Property>();
+		try {
+			availables = new ArrayList<Property>(corpus.getStructuralUnitProperties());
+			Collections.sort(availables);
+		} catch (CqiClientException e1) {
+			// TODO Auto-generated catch block
+			org.txm.rcp.utils.Logger.printStackTrace(e1);
+			return;
+		}
+
+		selectedProps = new ArrayList<Property>();
+		if (referencer != null) {
+			for(Property p : referencer.getPattern()) {
+				selectedProps.add(p);
+				availables.remove(p);
+			}
+		}
+		
+		if (selectedProps.size() == 0) { // no referencer result was selected
+			for (int i = 0 ; i < availables.size() ; i++) {
+				Property p = availables.get(i);
+				if (p.getQualifiedName().endsWith("text_id")) {
+					selectedProps.add(availables.get(i));
+					availables.remove(i);
+				}
+			}
+		}
+
+		this.patternArea.setProperties(availables, selectedProps);
+
+		//pagination
+		navigationArea = new NavigationWidget(paramArea, SWT.None);
+		navigationArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL,	true, false,3 ,1));
+
+		navigationArea.addFirstListener(new SelectionListener() {
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				StatusLine.setMessage(Messages.ReferencerEditor_17);
+				fillDisplayArea(0, lineperpage);
+				viewer.getTable().select(0);
+				viewer.getTable().showSelection();
+				StatusLine.setMessage(""); //$NON-NLS-1$
+			}
+		});
+		navigationArea.addLastListener(new SelectionListener() {
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				StatusLine.setMessage(Messages.ReferencerEditor_19);
+				fillDisplayArea(referencer.getNLines()
+						- lineperpage, referencer.getNLines());
+				viewer.getTable().select(0);
+				viewer.getTable().showSelection();
+				StatusLine.setMessage(""); //$NON-NLS-1$
+			}
+		});
+		navigationArea.addNextListener(new SelectionListener() {
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				StatusLine.setMessage(Messages.ReferencerEditor_21);
+				fillDisplayArea(topLine + lineperpage,
+						bottomLine + lineperpage);
+				viewer.getTable().select(0);
+				viewer.getTable().showSelection();
+				StatusLine.setMessage(""); //$NON-NLS-1$
+			}
+		});
+		navigationArea.addPreviousListener(new SelectionListener() {
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				StatusLine.setMessage(Messages.ReferencerEditor_23);
+				fillDisplayArea(topLine - lineperpage,
+						bottomLine - lineperpage);
+				viewer.getTable().select(0);
+				viewer.getTable().showSelection();
+				StatusLine.setMessage(""); //$NON-NLS-1$
+			}
+		});
+		//result
+
+		viewer = new TableViewer(resultArea, SWT.MULTI
+				| SWT.FULL_SELECTION | SWT.BORDER);
+		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
+		if (corpus != null && corpus.getFont() != null && corpus.getFont().length() > 0) {
+			Font old = viewer.getTable().getFont();
+			FontData fD = old.getFontData()[0];
+			//Font f = new Font(old.getDevice(), corpus.getFont(), fD.getHeight(), fD.getStyle());
+			Font font = new Font(Display.getCurrent(), corpus.getFont(), fD.getHeight(), fD.getStyle()); 
+			viewer.getTable().setFont(font);
+		}
+		
+		createContextMenu(viewer);
+		viewer.getTable().setLayoutData(new GridData(GridData.FILL, GridData.FILL,
+				true, true));
+		viewer.getTable().setLinesVisible(true);
+		viewer.getTable().setHeaderVisible(true);
+
+		viewer.setLabelProvider(new LineLabelProvider());
+		viewer.setContentProvider(new LineContentProvider());
+		viewer.setInput(new ArrayList<Property>());
+
+		viewer.getTable().addMouseListener(new MouseAdapter() {
+			@Override
+			public void mouseDoubleClick(MouseEvent e) {
+				
+				Point mouseposition = new Point(e.x
+						+ viewer.getTable().getHorizontalBar()
+						.getSelection(), e.y);
+				int col = getPointedColumn(mouseposition);
+				if (col == 1) {
+					StatusLine.setMessage(Messages.ReferencerEditor_25);
+					sendSelectionToConc();
+				} else if (col == 2) {
+					//System.out.println("Send to edition ?"); //$NON-NLS-1$
+				}
+			}
+		});
+
+		nColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
+		nColumn.setText(" "); //$NON-NLS-1$
+		nColumn.pack();
+
+		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
+		unitColumn.setText(Messages.ReferencerEditor_9);
+		unitColumn.setToolTipText(Messages.ReferencerEditor_9);
+		unitColumn.setWidth(200);
+		unitColumn.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+		});
+
+		freqColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
+		freqColumn.setText(Messages.ReferencerEditor_11);
+		freqColumn.setToolTipText(Messages.ReferencerEditor_11);
+		freqColumn.setWidth(100);
+		freqColumn.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+		});
+		
+		if (referencer != null)
+		{
+			this.fillDisplayArea(0, referencer.getNLines());
+			this.setPartName(referencer.getCorpus()+ ": "+referencer.getName()); //$NON-NLS-1$
+			this.querywidget.setText(referencer.getQuery().getQueryString());
+		}
+		
+		
+	}
+	
+	/**
+	 * Creates the context menu.
+	 *
+	 * @param tableViewer the table viewer
+	 */
+	private void createContextMenu(TableViewer tableViewer) {
+
+		MenuManager menuManager = new MenuManager();
+		Menu menu = menuManager.createContextMenu(tableViewer.getTable());
+
+		// Set the MenuManager
+		tableViewer.getTable().setMenu(menu);
+		getSite().registerContextMenu(menuManager, tableViewer);
+		// Make the selection available
+		getSite().setSelectionProvider(tableViewer);
+	}
+
+	/**
+	 * Send selection to conc.
+	 */
+	protected void sendSelectionToConc() {
+		ReferencerToConc.link(this, this.viewer.getSelection());
+	}
+
+	/**
+	 * Fill display area.
+	 *
+	 * @param from the from
+	 * @param to the to
+	 */
+	public void fillDisplayArea(int from, int to)
+	{
+		from = Math.max(from, 0);
+		to = Math.min(to, referencer.getNLines());
+		List<Line> lines = null;
+		if (referencer.getNLines() > 0) {
+			try {
+				lines = referencer.getLines(from, to);
+			} catch (Exception e) {
+				org.txm.rcp.utils.Logger.printStackTrace(e);
+				lines = new ArrayList<Line>();
+			}
+		} else
+			lines = new ArrayList<Line>();
+
+		navigationArea.setInfoLineText(""+(from + 1), //$NON-NLS-1$
+				"-" + (to) + " / " + referencer.getNLines()); //$NON-NLS-1$ //$NON-NLS-2$
+		navigationArea.setPreviousEnabled(from > 0);
+		navigationArea.setFirstEnabled(from > 0);
+		navigationArea.setNextEnabled(to < referencer.getNLines() - 1);
+		navigationArea.setLastEnabled(to < referencer.getNLines() - 1);
+
+		unitColumn.setText(referencer.getProperty().toString());
+
+		String unitColumnHeader = ""; //$NON-NLS-1$
+		for (Property p : referencer.getPattern())
+			unitColumnHeader += p.toString() + ", "; //$NON-NLS-1$
+		if (unitColumnHeader.length() > 0)
+			unitColumnHeader = unitColumnHeader.substring(0, unitColumnHeader
+					.length() - 2);
+		freqColumn.setText(unitColumnHeader);
+
+		viewer.setInput(lines);
+		viewer.refresh();
+		// System.out.println("table refreshed from "+from+" to "+to+" with : "+lines);
+		topLine = from;
+		bottomLine = to;
+		for (TableColumn col : viewer.getTable().getColumns())
+			col.pack();
+	}
+
+	/**
+	 * Gets the pointed column.
+	 *
+	 * @param mouseposition the mouseposition
+	 * @return the pointed column
+	 */
+	public int getPointedColumn(Point mouseposition) {
+		int x = mouseposition.x; // + lineTableViewer.getTable().get;
+		int sumWidthColumn = this.nColumn.getWidth();
+		if (x < sumWidthColumn)
+			return 0;
+
+		sumWidthColumn += this.unitColumn.getWidth();
+		if (x < sumWidthColumn)
+			return 1;
+
+		sumWidthColumn += this.freqColumn.getWidth();
+		if (x < sumWidthColumn)
+			return 2;
+
+		return 2;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.WorkbenchPart#setFocus()
+	 */
+	@Override
+	public void setFocus() {
+		querywidget.setFocus();
+	}
+
+	/**
+	 * Gets the referencer.
+	 *
+	 * @return the referencer
+	 */
+	public Referencer getReferencer() {
+		return this.referencer;
+	}
+
+	/**
+	 * Gets the corpus.
+	 *
+	 * @return the corpus
+	 */
+	public Corpus getCorpus() {
+		return this.corpus;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.txm.rcp.commands.editor.CustomizableEditor#setName(java.lang.String)
+	 */
+	@Override
+	public void setName(String name) {
+		this.setPartName(name);
+	}
+
+	/* (non-Javadoc)
+	 * @see org.txm.rcp.commands.editor.CustomizableEditor#setIcon(org.eclipse.swt.graphics.Image)
+	 */
+	@Override
+	public void setIcon(Image image) {
+		this.setTitleImage(image);
+	}
+	
+	/* (non-Javadoc)
+	 * @see org.txm.rcp.commands.editor.CustomizableEditor#setSource(java.lang.Object)
+	 */
+	@Override
+	public void setSource(Object source)
+	{
+		this.source = source;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.txm.rcp.commands.editor.CustomizableEditor#getSource()
+	 */
+	@Override
+	public Object getSource() {
+		return referencer;
+	}
+	
+	@Override
+	public Object toConcordance() { return null;}
+	@Override
+	public Object toIndex() { return null;}
+	@Override
+	public Object toProgression() { return null;}
+	
+	@Override
+	public boolean usingCorpus(Corpus corpus) {
+		return this.corpus.getName().equals(corpus.getName());
+	}
+
+	@Override
+	public boolean updateCorpus(Corpus corpus) {
+		// TODO Auto-generated method stub
+		return false;
+	}
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/ReferencerEditor.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/LineContentProvider.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/LineContentProvider.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/LineContentProvider.java	(revision 351)
@@ -0,0 +1,82 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.editors.referencer;
+
+import java.util.List;
+
+import org.eclipse.jface.viewers.IStructuredContentProvider;
+import org.eclipse.jface.viewers.Viewer;
+import org.txm.functions.referencer.Referencer;
+
+
+// TODO: Auto-generated Javadoc
+/**
+ * The IStructuredContentProvider used by the reference and line tables.
+ *
+ * @author mdecorde
+ */
+public class LineContentProvider implements IStructuredContentProvider {
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see
+	 * org.eclipse.jface.viewers.IStructuredContentProvider#getElements(java
+	 * .lang.Object)
+	 */
+	@Override
+	public Object[] getElements(Object inputElement) {
+		@SuppressWarnings("unchecked")
+		List<Referencer.Line> lines = (List<Referencer.Line>) inputElement;
+		return lines.toArray();
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see org.eclipse.jface.viewers.IContentProvider#dispose()
+	 */
+	@Override
+	public void dispose() {
+		// TODO Auto-generated method stub
+
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see
+	 * org.eclipse.jface.viewers.IContentProvider#inputChanged(org.eclipse.jface
+	 * .viewers.Viewer, java.lang.Object, java.lang.Object)
+	 */
+	@Override
+	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
+		// TODO Auto-generated method stub
+	}
+
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/LineContentProvider.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/LineLabelProvider.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/LineLabelProvider.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/LineLabelProvider.java	(revision 351)
@@ -0,0 +1,105 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.editors.referencer;
+
+import org.eclipse.jface.viewers.ILabelProviderListener;
+import org.eclipse.jface.viewers.ITableLabelProvider;
+import org.eclipse.swt.graphics.Image;
+import org.txm.functions.referencer.Referencer;
+
+
+// TODO: Auto-generated Javadoc
+/**
+ * The Class LineLabelProvider.
+ */
+public class LineLabelProvider implements ITableLabelProvider {
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnImage(java.lang.Object, int)
+	 */
+	@Override
+	public Image getColumnImage(Object element, int columnIndex) {
+		return null;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnText(java.lang.Object, int)
+	 */
+	@Override
+	public String getColumnText(Object element, int columnIndex) {
+		Referencer.Line line = (Referencer.Line) element;
+		switch (columnIndex) {
+		case 0:
+			return ""; //$NON-NLS-1$
+		case 1:
+			return line.getPropValue();
+		case 2:
+			StringBuffer str = new StringBuffer();
+			for(String ref : line.getReferences())
+			{
+				str.append(", "+ref+"("+line.getCount(ref)+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			}
+			return str.substring(2); 
+		default:
+			return ""; //$NON-NLS-1$
+		}
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.IBaseLabelProvider#addListener(org.eclipse.jface.viewers.ILabelProviderListener)
+	 */
+	@Override
+	public void addListener(ILabelProviderListener listener) {
+		// TODO Auto-generated method stub
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.IBaseLabelProvider#dispose()
+	 */
+	@Override
+	public void dispose() {
+		// TODO Auto-generated method stub
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.IBaseLabelProvider#isLabelProperty(java.lang.Object, java.lang.String)
+	 */
+	@Override
+	public boolean isLabelProperty(Object element, String property) {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.IBaseLabelProvider#removeListener(org.eclipse.jface.viewers.ILabelProviderListener)
+	 */
+	@Override
+	public void removeListener(ILabelProviderListener listener) {
+		// TODO Auto-generated method stub
+	}
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/LineLabelProvider.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/build.properties
===================================================================
--- tmp/org.txm.referencer.rcp/build.properties	(revision 0)
+++ tmp/org.txm.referencer.rcp/build.properties	(revision 351)
@@ -0,0 +1,5 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .,\
+               plugin.xml

Property changes on: tmp/org.txm.referencer.rcp/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/icons/functions/Referencer.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.referencer.rcp/icons/functions/Referencer.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.referencer.rcp/plugin.xml
===================================================================
--- tmp/org.txm.referencer.rcp/plugin.xml	(revision 0)
+++ tmp/org.txm.referencer.rcp/plugin.xml	(revision 351)
@@ -0,0 +1,124 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?eclipse version="3.4"?>
+<plugin>
+   <extension
+         point="org.eclipse.ui.editors">
+               <editor
+            class="org.txm.rcp.editors.referencer.ReferencerEditor"
+            default="false"
+            icon="icons/functions/Referencer.png"
+            id="org.txm.rcp.editors.referencer.ReferencerEditor"
+            name="%editor.name.14">
+      </editor>
+   </extension>
+   <extension
+         point="org.eclipse.ui.menus">
+               <menuContribution
+            locationURI="popup:org.txm.rcp.editors.referencer.ReferencerEditor">
+         <command
+               commandId="org.txm.rcp.commands.link.ReferencerToConc"
+               label="%command.label.73"
+               style="push">
+         </command>
+      </menuContribution>
+               <menuContribution
+                     locationURI="menu:menu.tools">
+                     <command
+                  commandId="org.txm.rcp.commands.function.ComputeReferencer"
+                  icon="icons/functions/Referencer.png"
+                  label="%command.label.108"
+                  style="push"
+                  tooltip="%command.tooltip.62">
+               <visibleWhen
+                     checkEnabled="false">
+                  <reference
+                        definitionId="OneCorpusSelected">
+                  </reference>
+               </visibleWhen>
+            </command>
+               </menuContribution>
+               <menuContribution
+                     allPopups="false"
+                     locationURI="toolbar:org.txm.rcp.toolbartools">
+                  <command
+                        commandId="org.txm.rcp.commands.function.ComputeReferencer"
+                        icon="icons/functions/Referencer.png"
+                        label="%command.label.108"
+                        style="push"
+                        tooltip="%command.tooltip.62">
+                     <visibleWhen
+                           checkEnabled="false">
+                        <reference
+                              definitionId="OneCorpusSelected">
+                        </reference>
+                     </visibleWhen>
+                  </command>
+               </menuContribution>
+               <menuContribution
+                     allPopups="false"
+                     locationURI="popup:org.txm.rcp.views.CorporaView">
+                  <command
+                        commandId="org.txm.rcp.commands.function.ComputeReferencer"
+                        icon="icons/functions/Referencer.png"
+                        label="%command.label.108"
+                        style="push"
+                        tooltip="%command.tooltip.62">
+                     <visibleWhen
+                           checkEnabled="false">
+                        <reference
+                              definitionId="OneCorpusSelected">
+                        </reference>
+                     </visibleWhen>
+                  </command>
+               </menuContribution>
+   </extension>
+   <extension
+         point="org.eclipse.ui.commands">
+         <command
+            defaultHandler="org.txm.rcp.commands.link.ReferencerToConc"
+            id="org.txm.rcp.commands.link.ReferencerToConc"
+            name="%command.name.57">
+      </command>
+            <command
+            categoryId="org.txm.rcp.category.txm"
+            defaultHandler="org.txm.rcp.commands.function.ComputeReferencer"
+            id="org.txm.rcp.commands.function.ComputeReferencer"
+            name="%command.name.44">
+      </command>
+   </extension>
+   <extension
+         point="org.eclipse.core.expressions.definitions">
+       <definition
+                  id="OneReferencerSelected">
+               <with
+                     variable="selection">
+                  <iterate
+                        ifEmpty="false"
+                        operator="and">
+                     <instanceof
+                           value="org.txm.functions.referencer.Referencer">
+                     </instanceof>
+                  </iterate>
+               </with>
+            </definition>
+   </extension>
+   <extension
+         point="org.eclipse.core.runtime.adapters">
+       <factory
+       adaptableType="org.txm.functions.referencer.Referencer"
+       class="org.txm.rcp.AdapterFactory">
+    <adapter
+          type="org.eclipse.ui.model.IWorkbenchAdapter">
+    </adapter>
+ </factory>
+   </extension>
+   <extension
+         point="org.eclipse.ui.preferencePages">
+            <page
+            category="org.txm.rcp.preferences.UserPreferencePage"
+            class="org.txm.rcp.preferences.ReferencerPreferencePage"
+            id="org.txm.rcp.preferences.ReferencerPreferencePage"
+            name="%page.name.16">
+      </page>
+   </extension>
+</plugin>

Property changes on: tmp/org.txm.referencer.rcp/plugin.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- tmp/org.txm.referencer.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ tmp/org.txm.referencer.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 351)
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6

Property changes on: tmp/org.txm.referencer.rcp/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/.classpath
===================================================================
--- tmp/org.txm.referencer.rcp/.classpath	(revision 0)
+++ tmp/org.txm.referencer.rcp/.classpath	(revision 351)
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: tmp/org.txm.referencer.rcp/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 0)
+++ tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 351)
@@ -0,0 +1,15 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: Referencer RCP
+Bundle-SymbolicName: org.txm.referencer.rcp;singleton:=true
+Bundle-Version: 1.0.0.qualifier
+Bundle-Activator: org.txm.referencer.rcp.Activator
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.txm.core;bundle-version="0.7.0",
+ org.txm.rcp;bundle-version="0.7.8",
+ org.txm.concordance.core;bundle-version="1.0.0",
+ org.eclipse.core.expressions;bundle-version="3.4.600"
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-ActivationPolicy: lazy
+Export-Package: org.txm.rcp.editors.referencer

Property changes on: tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/.project
===================================================================
--- tmp/org.txm.referencer.rcp/.project	(revision 0)
+++ tmp/org.txm.referencer.rcp/.project	(revision 351)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.referencer.rcp</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: tmp/org.txm.referencer.rcp/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

